package com.bwie.opp.controller;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.nacos.shaded.org.checkerframework.checker.fenum.qual.AwtFlowLayout;
import com.bwie.common.domain.Opp;
import com.bwie.common.result.Result;
import com.bwie.opp.service.OppService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@Log4j2
public class OppController {

    @Autowired
    private HttpServletRequest request;

    @Autowired
    private OppService oppService;


    @GetMapping("finduser")
    public Result<Opp> finduser(){
        log.info("功能名称:xxx,请求URI:{},请求方式:{}",
                request.getRequestURI(),request.getMethod());
       Result<Opp> result= oppService.finduser();
        log.info("功能名称:xxx,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }

    @GetMapping("yue")
    public Result yue(){
        log.info("功能名称:xxx,请求URI:{},请求方式:{}",
                request.getRequestURI(),request.getMethod());
        Result result = oppService.yue();
        log.info("功能名称:xxx,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }

    @GetMapping("tui")
    public Result tui(){
        log.info("功能名称:xxx,请求URI:{},请求方式:{}",
                request.getRequestURI(),request.getMethod());
        Result result = oppService.tui();
        log.info("功能名称:xxx,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }

    @GetMapping("dui")
    public Result dui(){
        log.info("功能名称:xxx,请求URI:{},请求方式:{}",
                request.getRequestURI(),request.getMethod());
        Result result = oppService.dui();
        log.info("功能名称:xxx,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }
}
