package com.bwie.system.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.SysUser;
import com.bwie.common.result.Result;
import com.bwie.system.service.SysService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@Log4j2
public class SysController {

    @Autowired
    private SysService sysService;

    @Autowired
    private HttpServletRequest request;


    @PostMapping("findphone")
    public Result<SysUser> findphone(@RequestParam String userPhone){
        log.info("功能名称:xxx,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI(),request.getMethod(),userPhone);
        Result<SysUser> result = sysService.findname(userPhone);
        log.info("功能名称:xxx,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }
}
